Bug 23143 - [18.11] Filter paid transactions not working
Summary: [18.11] Filter paid transactions not working
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: 18.11
Hardware: All All
: P5 - low major (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Keywords:
Depends on: 22626
Blocks:
  Show dependency treegraph
 
Reported: 2019-06-17 19:16 UTC by Benjamin Daeuber
Modified: 2019-08-06 20:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 23143: [18.11] Filter paid transactions not working (1.45 KB, patch)
2019-07-29 13:50 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23143: [18.11] Filter paid transactions not working (1.50 KB, patch)
2019-07-30 15:52 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Benjamin Daeuber 2019-06-17 19:16:11 UTC
Same issue as bug 22626 but on 18.11.06

The Filter paid transactions function on /cgi-bin/koha/members/boraccount.pl under the Account tab no longer works. If you click on it the wording will change, but no transactions will disappear.
Comment 1 Katrin Fischer 2019-06-17 22:10:02 UTC
I can't confirm this - I just tested in our 18.11.06 installation and the filtering works nicely. Payments and paid fines are filtered in my testing.

Do you run some custom jQuery maybe that could interfere here?
Comment 2 Katrin Fischer 2019-06-17 22:10:44 UTC
(In reply to Katrin Fischer from comment #1)
> I can't confirm this - I just tested in our 18.11.06 installation and the
> filtering works nicely. Payments and paid fines are filtered in my testing.
> 
> Do you run some custom jQuery maybe that could interfere here?

I was testing in the wrong installation - it IS broken in 18.11.06.
Comment 3 Katrin Fischer 2019-07-24 15:04:42 UTC
It would be great if we could get a fix for this.
Comment 4 Owen Leonard 2019-07-29 13:50:04 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2019-07-30 15:52:04 UTC
Created attachment 91883 [details] [review]
Bug 23143: [18.11] Filter paid transactions not working

This patch corrects the DataTables filter for hiding paid transactions
from the table of patron account transactions. The wrong column index
was specified.

To test, apply the patch and view the "Account" tab of a patron with
multiple transactions, at least one of them paid.

Confirm that the "Filter paid transactions" link works as expected.

Signed-off-by: Katrin Fischer <katrin.fischer@bsz-bw.de>
Comment 6 Katrin Fischer 2019-07-30 15:53:09 UTC
A one line change - confirmed problem and tested. As this is for an older version I'll set it to "Passed QA" directly.
Comment 7 Lucas Gass 2019-08-06 20:04:49 UTC
backported to 18.11.x for 18.11.09